import 'dart:convert';

class EtqanGetEmployeeIncidentRequestModel {
  List<EtqanGetIncidentRequestResponse>? etqanGetIncidentRequestResponse;

  EtqanGetEmployeeIncidentRequestModel({
    this.etqanGetIncidentRequestResponse,
  });

  factory EtqanGetEmployeeIncidentRequestModel.fromRawJson(String str) => EtqanGetEmployeeIncidentRequestModel.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory EtqanGetEmployeeIncidentRequestModel.fromJson(Map<String, dynamic> json) => EtqanGetEmployeeIncidentRequestModel(
    etqanGetIncidentRequestResponse: json["ETQAN_GetIncidentRequest_Response"] == null ? [] : List<EtqanGetIncidentRequestResponse>.from(json["ETQAN_GetIncidentRequest_Response"]!.map((x) => EtqanGetIncidentRequestResponse.fromJson(x))),
  );

  Map<String, dynamic> toJson() => {
    "ETQAN_GetIncidentRequest_Response": etqanGetIncidentRequestResponse == null ? [] : List<dynamic>.from(etqanGetIncidentRequestResponse!.map((x) => x.toJson())),
  };
}

class EtqanGetIncidentRequestResponse {
  String? key;
  String? keyAr;
  String? value;
  String? valueAr;
  List<String>? subValues;

  EtqanGetIncidentRequestResponse({
    this.key,
    this.keyAr,
    this.value,
    this.valueAr,
    this.subValues,
  });

  factory EtqanGetIncidentRequestResponse.fromRawJson(String str) => EtqanGetIncidentRequestResponse.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory EtqanGetIncidentRequestResponse.fromJson(Map<String, dynamic> json) => EtqanGetIncidentRequestResponse(
    key: json["key"],
    keyAr: json["keyAr"],
    value: json["value"],
    valueAr: json["valueAr"],
    subValues: json["subValues"] == null ? [] : List<String>.from(json["subValues"]!.map((x) => x)),
  );

  Map<String, dynamic> toJson() => {
    "key": key,
    "keyAr": keyAr,
    "value": value,
    "valueAr": valueAr,
    "subValues": subValues == null ? [] : List<dynamic>.from(subValues!.map((x) => x)),
  };
}
